clear all; close all;

omin=10; omax=3000;

Z1=dlmread('.\test_eubung4.dat','',1,0);

figi=figure;
set(figi,'units','normalized','outerposition',[0 0 1 1]);
set(figi, 'Color','white')
axs= axes('Parent',figi); 
axis tight;

xx=min(Z1(:,1)):(max(Z1(:,1))-min(Z1(:,1)))/100:max(Z1(:,1)); 
yy=min(Z1(:,2)):(max(Z1(:,2))-min(Z1(:,2)))/100:max(Z1(:,2)); 

    xres = 500;                             
	yres = 500;   
	xmin=0; 	xmax = 6; 
	ymin=1;     ymax = 8;
	xi = linspace(xmin, xmax, xres);
	yi = linspace(ymin, ymax, yres);
[XI,YI]=meshgrid(xx, yy);    

hold on
ZI = griddata(Z1(:,1), Z1(:,2), Z1(:,3), XI,YI,'linear' );  % Interpolate
	imagesc(xi,yi,ZI);     plot(Z1(:,1),Z1(:,2),'w.')
caxis([omin omax]);
    set(gca,'YDir','normal');
colorbar('ver','CLim',[omin omax]);
xlim([0 6]); ylim([0 8]);
set(gca,'DataAspectRatio',[1 1 1],'fontsize',8,'TickDir','out')
title( 'linear','fontsize',12);
hold off